## WebKitSecurityManager WebKitSecurityManager — Controls security settings in a WebKitWebContext |

## Functions

void | webkit_security_manager_register_uri_scheme_as_local ()
gboolean | webkit_security_manager_uri_scheme_is_local ()
void | webkit_security_manager_register_uri_scheme_as_no_access ()
gboolean | webkit_security_manager_uri_scheme_is_no_access ()
void | webkit_security_manager_register_uri_scheme_as_display_isolated ()
gboolean | webkit_security_manager_uri_scheme_is_display_isolated ()
void | webkit_security_manager_register_uri_scheme_as_secure ()
gboolean | webkit_security_manager_uri_scheme_is_secure ()
void | webkit_security_manager_register_uri_scheme_as_cors_enabled ()
gboolean | webkit_security_manager_uri_scheme_is_cors_enabled ()
void | webkit_security_manager_register_uri_scheme_as_empty_document ()
gboolean | webkit_security_manager_uri_scheme_is_empty_document ()

## Types and Values

struct | WebKitSecurityManager

## Object Hierarchy

        GObject
        ╰── WebKitSecurityManager

## Description

The WebKitSecurityManager defines security settings for URI schemes in a WebKitWebContext. Get it from the context with `webkit_web_context_get_security_manager()`, and use it to register a URI scheme with a certain security level, or to check if it already has it.

## Functions

### webkit_security_manager_register_uri_scheme_as_local ()

    void
    webkit_security_manager_register_uri_scheme_as_local
                                   (WebKitSecurityManager *security_manager,
                                    const gchar *scheme);

Register `scheme` as a local scheme. This means that other non-local pages cannot link to or access URIs of this scheme.

#### Parameters

security_manager | a WebKitSecurityManager |
scheme | a URI scheme |

### webkit_security_manager_uri_scheme_is_local ()

    gboolean
    webkit_security_manager_uri_scheme_is_local
                                   (WebKitSecurityManager *security_manager,
                                    const gchar *scheme);

Whether `scheme` is considered as a local scheme. See also `webkit_security_manager_register_uri_scheme_as_local()`.

#### Parameters

security_manager | a WebKitSecurityManager |
scheme | a URI scheme |

#### Returns

`TRUE` if `scheme` is a local scheme or `FALSE` otherwise.

### webkit_security_manager_register_uri_scheme_as_no_access ()

    void
    webkit_security_manager_register_uri_scheme_as_no_access
                                   (WebKitSecurityManager *security_manager,
                                    const gchar *scheme);

Register `scheme` as a no-access scheme. This means that pages loaded with this URI scheme cannot access pages loaded with any other URI scheme.

#### Parameters

security_manager | a WebKitSecurityManager |
scheme | a URI scheme |

### webkit_security_manager_uri_scheme_is_no_access ()

    gboolean
    webkit_security_manager_uri_scheme_is_no_access
                                   (WebKitSecurityManager *security_manager,
                                    const gchar *scheme);

Whether `scheme` is considered as a no-access scheme. See also `webkit_security_manager_register_uri_scheme_as_no_access()`.

#### Parameters

security_manager | a WebKitSecurityManager |
scheme | a URI scheme |

#### Returns

`TRUE` if `scheme` is a no-access scheme or `FALSE` otherwise.

### webkit_security_manager_register_uri_scheme_as_display_isolated ()

    void
    webkit_security_manager_register_uri_scheme_as_display_isolated
                                   (WebKitSecurityManager *security_manager,
                                    const gchar *scheme);

Register `scheme` as a display isolated scheme. This means that pages cannot display these URIs unless they are from the same scheme.

#### Parameters

security_manager | a WebKitSecurityManager |
scheme | a URI scheme |

### webkit_security_manager_uri_scheme_is_display_isolated ()

    gboolean
    webkit_security_manager_uri_scheme_is_display_isolated
                                   (WebKitSecurityManager *security_manager,
                                    const gchar *scheme);

Whether `scheme` is considered as a display isolated scheme. See also `webkit_security_manager_register_uri_scheme_as_display_isolated()`.

#### Parameters

security_manager | a WebKitSecurityManager |
scheme | a URI scheme |

#### Returns

`TRUE` if `scheme` is a display isolated scheme or `FALSE` otherwise.

### webkit_security_manager_register_uri_scheme_as_secure ()

    void
    webkit_security_manager_register_uri_scheme_as_secure
                                   (WebKitSecurityManager *security_manager,
                                    const gchar *scheme);

Register `scheme` as a secure scheme. This means that mixed content warnings won't be generated for this scheme when included by an HTTPS page.

#### Parameters

security_manager | a WebKitSecurityManager |
scheme | a URI scheme |

### webkit_security_manager_uri_scheme_is_secure ()

    gboolean
    webkit_security_manager_uri_scheme_is_secure
                                   (WebKitSecurityManager *security_manager,
                                    const gchar *scheme);

Whether `scheme` is considered as a secure scheme. See also `webkit_security_manager_register_uri_scheme_as_secure()`.

#### Parameters

security_manager | a WebKitSecurityManager |
scheme | a URI scheme |

#### Returns

`TRUE` if `scheme` is a secure scheme or `FALSE` otherwise.

### webkit_security_manager_register_uri_scheme_as_cors_enabled ()

    void
    webkit_security_manager_register_uri_scheme_as_cors_enabled
                                   (WebKitSecurityManager *security_manager,
                                    const gchar *scheme);

Register `scheme` as a CORS (Cross-origin resource sharing) enabled scheme. This means that CORS requests are allowed. See W3C CORS specification http://www.w3.org/TR/cors/.

#### Parameters

security_manager | a WebKitSecurityManager |
scheme | a URI scheme |

### webkit_security_manager_uri_scheme_is_cors_enabled ()

    gboolean
    webkit_security_manager_uri_scheme_is_cors_enabled
                                   (WebKitSecurityManager *security_manager,
                                    const gchar *scheme);

Whether `scheme` is considered as a CORS enabled scheme. See also `webkit_security_manager_register_uri_scheme_as_cors_enabled()`.

#### Parameters

security_manager | a WebKitSecurityManager |
scheme | a URI scheme |

#### Returns

`TRUE` if `scheme` is a CORS enabled scheme or `FALSE` otherwise.

### webkit_security_manager_register_uri_scheme_as_empty_document ()

    void
    webkit_security_manager_register_uri_scheme_as_empty_document
                                   (WebKitSecurityManager *security_manager,
                                    const gchar *scheme);

Register `scheme` as an empty document scheme. This means that they are allowed to commit synchronously.

#### Parameters

security_manager | a WebKitSecurityManager |
scheme | a URI scheme |

### webkit_security_manager_uri_scheme_is_empty_document ()

    gboolean
    webkit_security_manager_uri_scheme_is_empty_document
                                   (WebKitSecurityManager *security_manager,
                                    const gchar *scheme);

Whether `scheme` is considered as an empty document scheme. See also `webkit_security_manager_register_uri_scheme_as_empty_document()`.

#### Parameters

security_manager | a WebKitSecurityManager |
scheme | a URI scheme |

#### Returns

`TRUE` if `scheme` is a an empty document scheme or `FALSE` otherwise.

## Types and Values

### struct WebKitSecurityManager

    struct WebKitSecurityManager;